Skip to content

Capture

  • Endpoint: POST /aggregate-pay/api/gateway/capture
  • Tags: Collection Service/Auth Capture

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesAPI version. Current value: 1.5
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
dataobjectYes
data.requestIdstringYesMerchant unique id.
data.outTradeNostringYesMerchant order id.
data.currencystringYesCapture amount.
data.amountnumberYesCapture currency.

Example

json
{
  "version": "1.5",
  "keyVersion": "1",
  "requestTime": "2024-11-06T11:56:13.000+08:00",
  "appId": "8f8b0895b60f41abbdb05405052971c8",
  "merchantNo": "P01010114178824",
  "data": {
    "requestId": "xxxxx",
    "outTradeNo": "xxxxxxxx",
    "currency": "USD",
    "amount": 100
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’
dataobjectYesReturn data body.
data.captureNostringYesmaxLength: 64PayerMax capture order id
data.requestIdstringYesmaxLength: 64Merchant unique id.
data.outTradeNostringYesmaxLength: 32Merchant order id.
data.amountstringYesmaxLength: 1024Capture amount.
data.currencystringYesCapture currency.
data.statusstringYesCapture status. SUCCESS、FAILED 、PENDING
data.isFinalstringYesIs final capture. True,False
data.createdTimestringYesCreate time
data.succeededTimestringNoSuccess Time
data.failedTimestringNoFailed Time
data.errorCodestringNoCapture status result description, only has a value when it fails
data.errorMsgstringNoCapture status result code, only has a value when it fails

Response Example

json
{
  "msg": "Success.",
  "code": "APPLY_SUCCESS",
  "data": {
    "captureNo": "20230806235954ED7856775040587834005",
    "requestId": "xxxxx",
    "outTradeNo": "xxxxxxxx",
    "amount": 10,
    "currency": "SAR",
    "status": "PENDING",
    "isFinal": true,
    "createdTime": "2023-08-06T23:50:59 +0000",
    "succeededTime": null,
    "failedTime": null,
    "errorCode": null,
    "errorMsg": null
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.